Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556506 - tqsllib: FTBFS in F28
Summary: tqsllib: FTBFS in F28
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tqsllib
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-15 00:01 UTC by Fedora Release Engineering
Modified: 2018-09-16 13:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-16 13:41:24 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-05-28 22:13 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2018-05-28 22:13 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-28 22:13 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-03-15 00:01:17 UTC
Your package tqsllib failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24900457

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Fedora Release Engineering 2018-05-28 22:13:28 UTC
Created attachment 1444393 [details]
build.log

Comment 2 Fedora Release Engineering 2018-05-28 22:13:33 UTC
Created attachment 1444394 [details]
root.log

Comment 3 Fedora Release Engineering 2018-05-28 22:13:35 UTC
Created attachment 1444396 [details]
state.log

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:05:58 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 5 Lucian Langa 2018-08-16 12:12:24 UTC
Unfortunately I have no idea of this package status. I'm not entirely sure it even serves a purpose any longer, if I'm not mistaken trustedqsl no longer requires it. I'm perfectly fine with orhpaning it, however a simple --whatrequires query yields 'cqrlog' package depends on it. Since trustedqsl and cqrlog are both maintained by Richard I've given up this package to him. I'll reassign this bug to Richard.

Comment 6 Richard Shaw 2018-08-16 12:48:12 UTC
A couple of years ago arrl merged the sources of tqsllib and trustedqsl so this package can be retired. I had hoped they would separate them again at some point but it doesn't look like that's going to happen.

Comment 7 Richard Shaw 2018-09-16 13:41:24 UTC
Retired this package in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.